#!/bin/bash

##------------------------##
## Check Adw-gt3 version! ##
##------------------------##
ADWGTKV=v5.2

mkdir -p ~/.local/share/themes
curl -sL https://github.com/lassekongo83/adw-gtk3/releases/download/${ADWGTKV}/adw-gtk3${ADWGTKV}.tar.xz | tar xJv -C ~/.local/share/themes
flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo
flatpak update
flatpak install org.gtk.Gtk3theme.adw-gtk3 org.gtk.Gtk3theme.adw-gtk3-dark
gsettings set org.gnome.desktop.interface gtk-theme 'adw-gtk3'
gsettings set org.gnome.desktop.interface color-scheme 'default'

## Gsettings tweaks
gsettings set org.gnome.desktop.interface font-name 'Nimbus Sans 11'
gsettings set org.gnome.desktop.interface monospace-font-name 'Hack 10'
gsettings set org.gnome.desktop.interface font-antialiasing 'rgba'
gsettings set org.gnome.desktop.interface font-hinting 'slight'
gsettings set org.gnome.desktop.wm.preferences audible-bell false
gsettings set org.gnome.desktop.interface clock-show-weekday true
gsettings set org.gnome.desktop.interface locate-pointer true
gsettings set org.gnome.desktop.peripherals.touchpad tap-to-click true
gsettings set org.gnome.desktop.wm.preferences focus-mode sloppy
gsettings set org.gnome.desktop.calendar show-weekdate true
gsettings set org.gnome.desktop.wm.preferences action-middle-click-titlebar 'minimize'

## Firefox
curl -sL https://git.oranki.net/jarno/firefox-gnome-theme/raw/branch/0ranki-main/scripts/install-by-curl.sh | bash

## Thunderbird
curl -sL https://git.oranki.net/jarno/thunderbird-gnome-theme/src/branch/main/scripts/install-by-curl.sh | bash
